Subject: [v6ops] Operational Headaches: Mikael's talk

From: Fred Baker <[email-masked]>
Date: Fri, 29 Mar 2019 06:36:59 +0100

Yesterday, Mikael Abrahamsson gave a talk about the Terastram deployment (https://datatracker.ietf.org/doc/slides-104-v6ops-deutsche-telekom-terastream/). In it, he outlined several headaches he finds himself dealing with. Our charter says that we get to send missives to other working groups about operational issues we discuss; I wonder if it would be of value those chase these (and potentially other) headaches down. I'll send several emails this morning opening threads about his individual headaches; I'd be interested in your thoughts and interest.

The outcomes on each headache vary; in some cases, he identifies a draft that seems to be in the right ballpark. For those, I think I need to send a note to the relevant authors and chairs asking them what the prognosis is and expressing operational interest. We may also have comments on them, which might be adequate documented in the discussion thread (e.g., your comments), or might call for a draft draft-ietf-v6ops-operational-thoughts-on-<foo>, or something else. For headaches that don't have an obvious draft (when you receive a prefix from a DHCP server, would it be too much trouble to install a prefix on an interface and install relevant routes?), I think that probably calls for a person or design team to create such a draft for discussion on the list and in Montreal. Or maybe some enterprising person might forward a link to the thread to their vendor of choice...

In any event, I'll be looking for your comments.
--------------------------------------------------------------------------------
The fact that there is a highway to hell and a stairway to heaven is an interesting comment on projected traffic volume...